require 'active_support/core_ext'
p "loading main"
require File.join(File.dirname(__FILE__), "acts_as_caching/railtie.rb")

module ActsAsCaching
  autoload :Hook, File.join(File.dirname(__FILE__), "acts_as_caching/hook")
  #autoload :InstanceMethods, File.join(File.dirname(__FILE__), "acts_as_caching/instance_methods")
end

